webdevqa.jp.net

ローカルで実行Javaブラウザのアプレット(chrome / firefox) "セキュリティ設定により、ローカルアプリケーションの実行がブロックされています"

Java Applet(htmlファイル)を実行しようとしていますが、ブラウザは言い続けています:

「セキュリティ設定により、ローカルアプリケーションの実行がブロックされています」

ChromeとFirefoxを使用しようとしましたが、同じエラーが表示されます。Javaの最新バージョンにアップグレードしましたが、Chrome

chrome:// plugins /「重要なセキュリティ更新プログラムのダウンロード」

Javaアプレット(ローカルではない)を実行できますが

buntu 13.04 64ビットを使用している

20
ymerdrengene

Java 7 Update 21セキュリティ改善の詳細 を読んだ後.

導入された変更により、自己署名または無署名のいずれの場合でも、エンドユーザーがアプリケーションを実行できない可能性が高くなります。

..これがルーズクラスファイルにどのようになるのかと思っていました-すべての「最も簡単な」アプレットです。

ローカルファイルシステム

Dialog: Your security settings have blocked a local application from running
セキュリティ設定により、ローカルアプリケーションの実行がブロックされています

これは、JREがデフォルトの「高」セキュリティに設定されているときに、ローカルファイルシステムからロードされるルーズクラスファイルで構成されるアプレットで見られるダイアログです設定。


JREのわずかな癖は、ポイント3でのみ発生することに注意してください。

  1. アプレットページをロードして、空のコンソールにつながる壊れたアプレットシンボルを確認します。
    Java設定を開き、レベルをMediumに設定します。
    ブラウザを閉じる&Java settings。
  2. アプレットを表示するには、アプレットページをロードします。
    Java設定を開き、レベルをHighに設定します。
    ブラウザを閉じる&Java settings。
  3. アプレットページをロードして、壊れたアプレットシンボル&上記のダイアログを表示します。

インターネット

これで見られる単純なアプレット(ルースクラスファイル)を読み込む場合 サイズ変更可能なアプレットデモ offinternet-applet要素:

<applet
    code="PlafChanger.class"
    codebase="."
    alt="Pluggable Look'n'Feel Changer appears here if Java is enabled"
    width='100%'
    height='250'>
<p>Pluggable Look'n'Feel Changer appears here in a Java capable browser.</p>
</applet>

また、正常にロードされるようです。それを意味する:-

ローカルファイルシステムからロードされたアプレットは、インターネットまたはローカルサーバーからロードされたものよりも厳しいセキュリティサンドボックスの対象になりました。

セキュリティ設定の説明

Java 7 update 51。

  • 非常に高い最も安全な設定-Java有効期限が切れていないアプリケーションによって識別されるアプリケーション信頼できる機関からの証明書の実行が許可されます。
  • 高(最小推奨)信頼できる機関からの証明書によって識別されるJavaアプリケーションの実行が許可されます。
  • Medium-All Javaセキュリティプロンプトを表示した後、アプリケーションの実行が許可されます。
6
Andrew Thompson

XPの場合:[スタート]> [コントロールパネル]> Java> Security>(Mediumに設定) http://www.Java.com/en/download/help/Java_update.xml

4
Doro

私の場合、これはコントロールパネル> Java> security>に移動し、例外サイトリストにURLを追加します。次に適用します。サイトをもう一度テストすると、次のことが可能になります。ローカルJavaを実行します。

4
royal charlie

Java [コントロール]タブ> [Javaコントロールパネル]> [セキュリティ]タブをクリックし、セキュリティレベルを中に下げます。2〜3のセキュリティプロンプトが表示された後、アプレットが実行されます。

4
user2849159

Javaのアップグレードは役に立たないと思います。古いバージョンをアンインストールしてから、最新のJavaバージョンをインストールする必要があります。インストールが完了したら、コンピューターを再起動します。

それが役に立てば幸い!

1
Juned Ahsan